%global         srcname  cmakedoc
%global         desc   CMakeDoc is a command-line tool to read CMake documentation. \
It lets you search through CMake commands, modules, variables and properties.

Name:           python-%{srcname}
Version:        1.0.1
Release:        1%{?dist}
Summary:        cmakedoc makes it easier to search CMake reference documentation

License:        Apache-2.0
URL:            https://pypi.org/project/cmakedoc
Source0:        %pypi_source


BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
%{desc}

%package -n python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
%{desc}

%prep
%autosetup -p1 -n %{srcname}-%{version}

%build
# sed -i '1{/^#!\//d}' src/*.py
%py3_build

%install
%py3_install

%files -n python3-%{srcname}
%{_bindir}/%{srcname}
%{python3_sitelib}/%{srcname}.py
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/%{srcname}-%{version}*.egg-info
%doc README.md


%changelog
* Tue May 1 2018 Georg Sauthoff <mail@gms.tf> - 0.2.4-1
- initial packaging
